Subject: Re: [PATCH]Enabling Auto poweron after power is restored.

From: Manish Ahuja <[email-masked]>
Date: Wed, 10 Jan 2007 14:58:40 -0600

Nathan Lynch wrote:
> Paul Mackerras wrote:
>   
>> Manish Ahuja writes:
>>
>>     
>>> During power outages, the ups notifies the system for a shutdown. In the 
>>> current setup, it isn't possible to power on when power is restored. 
>>> This patch fixes the issue by calling the right ibm,power-off-ups token 
>>> during such events. It also adds a proc interface so that rc.powerfail 
>>> can parse the epow events and modify the power-off behavior accordingly 
>>> to enable the right token to be called.
>>>       
>> Creating new non-process-related files in /proc is frowned upon these
>> days, so we'll have to find somewhere in /sys for this.  Anybody got a
>> suggestion?
>>     
>
> Maybe a sysctl instead?
>   
Wouldn't sysctl be /proc/sys/something again.

I did look under /sys but couldn't come up with a location to create 
this new file.

Although creating new files under /proc is frowned upon, the subset of 
files in the directory
seemed similar in functionality and connected to the new file I was 
creating and hence this new file in
/proc/ppc64/rtas.

linux:/proc/ppc64/rtas # ls -x
.         ..          clock    error_log  frequency  poweron  poweron_auto
progress  rmo_buffer  sensors  volume

I don't mind creating a /sys entry if anyone has a good suggestion.